Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFTableStyles

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFTableStyles

All Implemented Interfaces:
  poi.support.Iterable

    public class XSLFTableStyles

extends POIXMLDocumentPart
implements poi.support.Iterable

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XSLFTableStyles()`
`XSLFTableStyles(PackagePart part, PackageRelationship rel)`

Method Summary
`java.util.List` | `getStyles()`
`org.openxmlformats.schemas.drawingml.x2006.main.CTTableStyleList` | `getXmlObject()`
`java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFTableStyles

    public XSLFTableStyles()

### XSLFTableStyles

    public XSLFTableStyles(PackagePart part,
                           PackageRelationship rel)
                    throws java.io.IOException,
                           org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.drawingml.x2006.main.CTTableStyleList getXmlObject()

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `poi.support.Iterable`

### getStyles

    public java.util.List getStyles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD